Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class WinUser.GUITHREADINFO

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.WinUser.GUITHREADINFO

Enclosing interface:
  WinUser

    public static class WinUser.GUITHREADINFO

extends com.sun.jna.Structure

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`int` | `cbSize`
`int` | `flags`
`WinDef.HWND` | `hwndActive`
`WinDef.HWND` | `hwndCapture`
`WinDef.HWND` | `hwndCaret`
`WinDef.HWND` | `hwndFocus`
`WinDef.HWND` | `hwndMenuOwner`
`WinDef.HWND` | `hwndMoveSize`
`WinDef.RECT` | `rcCaret`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinUser.GUITHREADINFO()`

Method Summary

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### cbSize

    public int cbSize

### flags

    public int flags

### hwndActive

    public WinDef.HWND hwndActive

### hwndFocus

    public WinDef.HWND hwndFocus

### hwndCapture

    public WinDef.HWND hwndCapture

### hwndMenuOwner

    public WinDef.HWND hwndMenuOwner

### hwndMoveSize

    public WinDef.HWND hwndMoveSize

### hwndCaret

    public WinDef.HWND hwndCaret

### rcCaret

    public WinDef.RECT rcCaret

Constructor Detail

### WinUser.GUITHREADINFO

    public WinUser.GUITHREADINFO()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD